Модераторы: Illuminaty
  

Поиск:

Ответ в темуСоздание новой темы Создание опроса
> Стили, <style></style> 
:(
    Опции темы
mr.Anderson
Дата 27.5.2005, 16:38 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


iOS Lead Developer
****


Профиль
Группа: Участник Клуба
Сообщений: 3374
Регистрация: 20.12.2004
Где: далеко

Репутация: нет
Всего: 128



У меня несколько вопросов.
Код

<style type="text/css">
</style>

1) Для чего пишется "text/css" в таблице, и какие еще могут быть параметры после type?
Код

<style>
.quote
{
 font-family: Monotype Corsiva;
 font-size: 24px;
 color: red;
 text-indent: 23pt;
 font-weight: bold, italic, strikeout;
}
</style>

2) Как с помощью стиля изменить тип, вид, цвет, размер, отступ и т.д. шрифта, я знаю. А как с помощью стиля изменить, скажем, таблицу? То есть, задать размер и цвет рамки таблицы, размеры самой таблицы и т.д. (я имею в виду таблицы <table></table>)? smile

Это сообщение отредактировал(а) sim7 - 27.5.2005, 16:39


--------------------
user posted image

user posted image
PM MAIL ICQ Skype   Вверх
mr.Anderson
Дата 28.5.2005, 09:52 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


iOS Lead Developer
****


Профиль
Группа: Участник Клуба
Сообщений: 3374
Регистрация: 20.12.2004
Где: далеко

Репутация: нет
Всего: 128



Нет, люди, ну я никогда не поверю, что никто на этом форуме не знает ответа на мой вопрос! Ну, нельзя же вот так просто меня игнорировать!


--------------------
user posted image

user posted image
PM MAIL ICQ Skype   Вверх
Black
Дата 28.5.2005, 10:17 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Web-Development
**


Профиль
Группа: Участник
Сообщений: 980
Регистрация: 15.8.2004

Репутация: 15
Всего: 45



sim7


Цитата
Для чего пишется "text/css" в таблице, и какие еще могут быть параметры после type?



Указывает браузеру что это CSS
Вообще-то, этот параметр ненужен smile
Однако, без него не пройти валидацию документа.
И принято его писать. Типа хороший тон веб-разработчика.

Бывает еще: <script type="text/javascript"></script>
Эта конструкция скажет браузеру, что мы имеем скрипт.

Код

<html>
<head>
<title>Тестовая таблица</title>
<style>
.tbl {
    color: red;
    text-indent: 23pt;
    border-color: green;
    border-style: solid;
    border-width: 1px;
    font: bold 24px Monotype Corsiva;
}
</style>
</head>

<body>

  <table class='tbl'>
  <tr><td>Если сильно захотеть можно в космос полететь :-)</td></tr>
  </table>

</body>
</html>


Для таблицы пропиши название нужного стиля и все... а в стиле описуй рамки, их размеры и т.д.

Это сообщение отредактировал(а) PHP-DIRECTOR - 28.5.2005, 10:20


--------------------
Могу все, но ничего не умею :-)
PM WWW   Вверх
dm9
Дата 28.5.2005, 11:51 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Дмитрий Копытин
****


Профиль
Группа: Vingrad developer
Сообщений: 3876
Регистрация: 22.7.2002
Где: Москва

Репутация: 29
Всего: 137



type="text/css" надо писать, чтобы браузер знал, какой тип контента ему передаётся. На данном этапе смысла в этом не вижу, но, возможно, в будущем появится какой-то альтернативный CSS, и придётся писать type="text/css-8". В общем, как я понимаю, задел на будущее. Как уже сказали выше, type надо прописывать для тэгов style и script.


Далее.
Давай один топик - один вопрос?
Вот создашь тему про таблицы, там отвечу про таблицы.

PM MAIL ICQ   Вверх
mr.Anderson
Дата 28.5.2005, 15:05 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


iOS Lead Developer
****


Профиль
Группа: Участник Клуба
Сообщений: 3374
Регистрация: 20.12.2004
Где: далеко

Репутация: нет
Всего: 128



PHP-DIRECTOR, спасибо, интересно, почему же у меня так же не получилось? smile Только еще вопрос: какие могут быть значения у "border-style"?


--------------------
user posted image

user posted image
PM MAIL ICQ Skype   Вверх
$tatic
Дата 28.5.2005, 17:03 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Опытный
**


Профиль
Группа: Участник
Сообщений: 651
Регистрация: 28.1.2005

Репутация: 1
Всего: 22



Border-style - это агрегатное свойство, т.е. оно объединяет несколько параметров, замещая свойства border-top-style, border-right-style, border-bottom-style, border-left-style. Эти 4 свойства отвечают за вариант прорисовки границ таблиц и ячеек таблиц. Их возможные значения: none, dotted, dashed, solid, double, groove, ridge, inset, outset. Вместо того, чтобы прописывать 4 длинных слова можно просто написать border-style и через пробелы значения для каждой из границ. Надеюсь, понятно? А вообще, установи какой-нибудь редактор css, например Bradbury TopStyle: быстрее множество сложных стилей обрабатывать.
PM MAIL   Вверх
Aliance
Дата 28.5.2005, 17:47 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


I ♥ <script>
****


Профиль
Группа: Модератор
Сообщений: 6418
Регистрация: 2.8.2004
Где: spb

Репутация: 2
Всего: 137



sim7
Сказано же, один топик - один вопрос.
Правила форума: http://forum.vingrad.ru/index.php?s=&act=SR&f=27
PM MAIL WWW ICQ Skype   Вверх
mr.Anderson
Дата 28.5.2005, 18:43 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


iOS Lead Developer
****


Профиль
Группа: Участник Клуба
Сообщений: 3374
Регистрация: 20.12.2004
Где: далеко

Репутация: нет
Всего: 128



Все-все, понял.


--------------------
user posted image

user posted image
PM MAIL ICQ Skype   Вверх
Gold Dragon
Дата 29.5.2005, 09:45 (ссылка) | (нет голосов) Загрузка ... Загрузка ... Быстрая цитата Цитата


Призрачный
****


Профиль
Группа: Экс. модератор
Сообщений: 6753
Регистрация: 1.3.2004
Где: Россия, Тамбов

Репутация: 9
Всего: 71



Спецификация CSS2
Цитата
3.4 Тип содержимого "text/css"

Таблицы стилей CSS, представленные в виде отдельных файлов, отправляются через Интернет в виде последовательности байтов, сопровождаемой информацией о кодировке (см. [HTML40], глава 5). Структура передачи, называемая массивом сообщения, определяется в соответствии со стандартами RFC 2045 и RFC 2068 (см. [RFC2045] и [RFC2068]). Массив сообщения с типом содержимого "text/css" представляет собой отдельный документ CSS. Тип содержимого "text/css" зарегистрирован в стандарте RFC 2138 ([RFC2318]).





--------------------
Нельзя жить в прошлом, оно уже прошло.
Нельзя жить в будущем, оно ещё не наступило.
Нужно жить в настоящем, помня прошлое и думая о будущем!
PM MAIL WWW ICQ   Вверх
  
Ответ в темуСоздание новой темы Создание опроса
0 Пользователей читают эту тему (0 Гостей и 0 Скрытых Пользователей)
0 Пользователей:
« Предыдущая тема | Вёрстка веб-сайтов | Следующая тема »


 




[ Время генерации скрипта: 0.0486 ]   [ Использовано запросов: 21 ]   [ GZIP включён ]


Реклама на сайте     Информационное спонсорство

 
По вопросам размещения рекламы пишите на vladimir(sobaka)vingrad.ru
Отказ от ответственности     Powered by Invision Power Board(R) 1.3 © 2003  IPS, Inc.